/* $Id: //depot/main/rmanprod/docs/renderman_pro_server/prman_technical_rendering/examples/runuquads.h#1 $  (Pixar - RenderMan Division)  $Date: 2004/06/16 $ */
/*
** Copyright (c) 1998 PIXAR.  All rights reserved.  This program or
** documentation contains proprietary confidential information and trade
** secrets of PIXAR.  Reverse engineering of object code is prohibited.
** Use of copyright notice is precautionary and does not imply
** publication.
**
**                      RESTRICTED RIGHTS NOTICE
**
** Use, duplication, or disclosure by the Government is subject to the
** following restrictions:  For civilian agencies, subparagraphs (a) through
** (d) of the Commercial Computer Software--Restricted Rights clause at
** 52.227-19 of the FAR; and, for units of the Department of Defense, DoD
** Supplement to the FAR, clause 52.227-7013 (c)(1)(ii), Rights in
** Technical Data and Computer Software.
**
** Pixar
** 1001 West Cutting Blvd.
** Richmond, CA  94804
*/
#ifndef _RUNUQUADS_H_
#define _RUNUQUADS_H_

#include <ri.h>
void RuNuSphere(RtFloat radius, RtFloat zmin, RtFloat zmax, RtFloat thetamax);
void RuNuHyperboloid(RtPoint point1, RtPoint point2, RtFloat thetamax);
void RuNuCone(RtFloat height, RtFloat radius, RtFloat thetamax);
void RuNuCylinder(RtFloat radius, RtFloat zmin, RtFloat zmax, 
		RtFloat thetamax);
void RuNuDisk(RtFloat height, RtFloat radius, RtFloat thetamax);
void RuNuParaboloid(RtFloat rmax, RtFloat zmin, RtFloat zmax, 
		RtFloat thetamax);
void RuNuTorus(RtFloat majorradius, RtFloat minorradius, 
	       RtFloat phimin, RtFloat phimax, RtFloat thetamax);

#endif /* _RUNUQUADS_H_ */
